PixMind Docs
API 参考视频模型Wan 3.0 Video

Wan 3.0 Video API

Wan 3.0 Video API 接口参考

Wan 3.0 视频生成,支持 480p、720p、1080p 输出和同步音频。

提供方

Alibaba

模型 ID

wan3.0-video

请求端点

POST /api-platform/v1/generations

模型说明

  • 视频按成功生成的秒数计费。

请求参数

参数类型必填说明
modelstring是

稳定的 PixMind 模型 ID,请使用 `wan3.0-video`。

可选值: wan3.0-video

promptstring是

用于生成或编辑的自然语言指令。

resolutionstring否

输出视频分辨率,该字段会影响请求价格。

可选值: 480p, 720p, 1080p

默认值: 480p

durationinteger否

期望生成的视频时长,单位为秒。

可选值: 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30

默认值: 2

aspectRatiostring否

期望输出画面比例。

可选值: 16:9, 9:16, 1:1, 4:3, 3:4

默认值: 16:9

imageUrlstring (URI)否

图生视频使用的起始图片。

generateAudioboolean否

在所选模式支持时生成同步音频。

可选值: true, false

默认值: true

请求示例

cURL
curl https://aihub-admin.aimix.pro/api-platform/v1/generations \
  -H "Authorization: Bearer $PIXMIND_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "wan3.0-video",
  "prompt": "A cinematic product reveal with a smooth orbiting camera and synchronized ambient sound",
  "duration": 5,
  "resolution": "720p",
  "aspectRatio": "16:9",
  "generateAudio": true
}'
JavaScript
const response = await fetch("https://aihub-admin.aimix.pro/api-platform/v1/generations", {
  method: "POST",
  headers: {
    "Authorization": `Bearer ${process.env.PIXMIND_API_KEY}`,
    "Content-Type": "application/json"
  },
  body: JSON.stringify({
  "model": "wan3.0-video",
  "prompt": "A cinematic product reveal with a smooth orbiting camera and synchronized ambient sound",
  "duration": 5,
  "resolution": "720p",
  "aspectRatio": "16:9",
  "generateAudio": true
})
});

const task = await response.json();

任务受理响应

生成任务为异步处理。请保存 taskId,并轮询 GET /api-platform/v1/tasks/{taskId},直到状态为 ready 或 failed。

200 OK
{
  "code": 1000,
  "data": {
    "id": "img_44160",
    "taskId": 44160,
    "type": "video",
    "model": "wan3.0-video",
    "status": "processing"
  }
}

API 定价

配置价格
480P$0.050 / second
720P$0.090 / second
1080P$0.18 / second

API 使用 apiPlatform 角色独立计费,与 PixMind Studio 积分分开;任务受理响应中的价格快照是最终计费依据。